#define _XOPEN_SOURCE /* glibc2 needs this */

#include "config.h"

#include "tv.hpp"

#include "startmenu.hpp"
#include "updater.hpp"

Tv& Tv::get_instance() 
{
  static Tv s;
  return s;
}

std::string Tv::mainloop()
{
  run::my_system((conf->p_tv_path() + ' ' + conf->p_tv_opts()).c_str());
  return "";
}

